Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Benutzerdefinierte Papiergröße

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Benutzerdefinierte Papiergröße (2050 mal gelesen)
matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 10. Nov. 2014 15:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Warnung.png

 
Hallo,
ich arbeite momentan an einem Programm, mit dem man Pdfs aus Autocad drucken kann. Dazu benutze ich den PDF24 Creator.

Momentan erzeuge ich eine Seiteneinrichtung mit dieser Methode:

Code:

(defun addConfig-vla (doc name / )
    (deleteConfig doc name)
    (if (= (getvar "ctab") "Model")
(vla-add (vla-get-plotconfigurations doc) name :vlax-true)
(vla-add (vla-get-plotconfigurations doc) name :vlax-false)
)
)

und bearbeite dann die Konfiguration mit dieser Methode:

Code:

(defun plotWindow (doc config / point1 point2 pointTemp1 pointTemp2 entlistConfig)

    (setq point1 (vlax-variant-value (vla-GetPoint (vla-get-Utility doc) nil "Links unten")))

    ;; 3d-Punkt zu 2d-Punkt
    (setq pointTemp1 (vlax-make-safearray vlax-vbDouble '(0 . 1)))
    (vlax-safearray-put-element pointTemp1 0 (vlax-safearray-get-element point1 0))
    (vlax-safearray-put-element pointTemp1 1 (vlax-safearray-get-element point1 1))
   
    (setq point2 (vlax-variant-value (vla-GetCorner (vla-get-Utility doc) point1 "Rechts oben")))

    ;; 3d-Punkt zu 2d-Punkt
    (setq pointTemp2 (vlax-make-safearray vlax-vbDouble '(0 . 1)))
    (vlax-safearray-put-element pointTemp2 0 (vlax-safearray-get-element point2 0))
    (vlax-safearray-put-element pointTemp2 1 (vlax-safearray-get-element point2 1))
   
    (vla-SetWindowToPlot config pointTemp1 pointTemp2)
   
    ;; Fenstermodus beim Drucken
    (vla-put-PlotType config acWindow)
    (vla-put-ConfigName config "PDF24 PDF.pc3")
    (vla-put-CanonicalMediaName config "User32767")

    (setq point1 (vlax-safearray->list pointTemp1)
  point2 (vlax-safearray->list pointTemp2))

   
    (setq entlistConfig (entget (vlax-vla-object->ename config))
  entlistConfig (entmod (subst (cons 44 (- (car point2)(car point1))) (assoc 44 entlistConfig) entlistConfig))
  entlistConfig (entmod (subst (cons 45 (- (cadr point2)(cadr point1))) (assoc 45 entlistConfig) entlistConfig))
  )
    (princ)
    )


Wenn ich nun den Druckenbefehl aufrufe und auf die erzeugt Seiteneinrichtung wechsel bringt er jedes mal eine Warnung, dass im das Papierformat nicht passt (siehe Anhang).
Als Option kann ich das von mir übergebene Papierformat auswählen, würde aber gerne die Warnmeldung wegbekommen.
Kennt vielleicht irgendjemand eine Systemvariable mit der man das Ausschalten kann bzw. ein Programm das ohne Warnung läuft^^
mfg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 10. Nov. 2014 15:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Stichwort Papierformat, Hilfe befragen und zum Thema PAPERUPDATE kommen.

Teste und berichte

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 10. Nov. 2014 15:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Darauf bin ich bereits bei meiner Suche gestoßen und funktioniert leider nicht.
mfg

Edit: Ich habe mit wirklich mit dem Thema auseinandergesetzt und schon einiges versucht um keinen unnötigen Threat aufzumachen nur komme ich momentan einfach nicht weiter.

[Diese Nachricht wurde von matthias312 am 10. Nov. 2014 editiert.]

[Diese Nachricht wurde von matthias312 am 10. Nov. 2014 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 10. Nov. 2014 20:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Ok, dann bitte das nächste Mal deine Tests mit angeben, so hätte man Zeit gespart (deine und die der Helfer).

Ich habe jetzt mal getestet und kann nicht sagen wo der Knackpunkt liegt,
Offenbar geschieht bei der Einrichtung einer Seiteneinrichtung über Autocadbefehle noch etwas im Hintergrund etwas, was wir beide in Lisp nicht berücksichtigen.

Ich kann dein Problem also nachstellen!

Aber welches "update" da im Hintergrund der normalen Acadfunktionen ausgeführt wird,
das kann ich nicht sagen.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 10. Nov. 2014 21:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Ich habe eben erst gesehen das du an den Blattformaten herumdokterst ?

1. Wird beim User32767 nur ein Format zulässig sein (das im Treiber eingestellte)
2. muß man das nicht setzen, das zieht Acad sich selbst in dem Moment wo du "User32767" angibst.

Wenn du also die komplette "(setq entlistConfig ...)" Klammer wegläßt,
sollte es funktionieren. Die Frage ist dann ob du wirklich die Blattabmessung haben willst,
die im Treiber unter "Benutzerdefiniert" abgelegt ist ?

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 11. Nov. 2014 07:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Leider ist das genau der Teil des Programms der am wichtigsten ist^^
Ich möchte PDFs drucken die möglichst keinen Rand haben.
Heißt ich muss die Papiergröße immer individuell an den Bereich anpassen der geplottet werden soll.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 11. Nov. 2014 07:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 11. Nov. 2014 11:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich


_cropped.zip

 
Ja ja, Papierformate.

Ich hab mir das inzwischen abgewöhnt und mach das ganz anders (nur so als Idee bevor man verzweifelt)

Ich Erzeuge PDFs immer mit einem seehhhhr großen Blattformat und habe dadurch einen schönen breiten Rand.

Dann schieb ich die PDFs durch dieses Programm:
http://www.noliturbare.com/pdf-tools/pdf-cropper
und der Rand ist weg. Egal wie das Blattformat ist.

Leider werden die fertigen PDFs mit dem Text "_cropped" erweitert.
Das macht die angehängte Batch-Datei wieder weg. (Vorher die PDFs mit Rand löschen. Sollten vom Drag and Drop eh noch markiert sein)
Die Batch hab ich auf dem Desktop. Einfach die PDFs per Drag and Drop draufziehen.

Inhalt der Batch-Datei:
@ECHO OFF
:start
IF %1== GOTO ende
set str="%~n1%~x1"
set str=%str:_cropped=%
rename %1 %str%
shift
goto start
:ende

Also ich hab Spaß damit, weil ich schon ewig kein Blattformat mehr umstellen muss. 

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 11. Nov. 2014 16:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich glaube für das Problem gibt es keine Lösung und hab mich schon ein bisschen damit abgefunden.
Das Programm läuft mittlerweile und ich bekomme aus dem Layout bereits passende Ausdrucke solange sie im Querformat sind.
Leider kommen alle Ausdrucke als Querformat egal welches Fenster ich ziehe.
Mir kommt es so vor, als ob ich zwar mit dem Fenster das ich definieren den Bereich definiere der geplottet werden soll, dass aber der Treiber ein Pdf erzeugt das die Abmessungen meines Fensters hat aber im Querformat.

Das Ergebnis sind abgeschnittene Pdfs ... hat jemand eine Idee woran das liegt bzw was man da machen kann. Habe die Befürchtung, dass das nach dem Ausdruck passiert und ich da von Acad aus nix machen kann.
mfg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 11. Nov. 2014 16:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Nicht selten das Thema und auch hier sind wir nicht bei der Programmierung,
sondern beim Druckertreiber und Plot bzw. Blatteinrichtung.
Hier mal ein Beispiel wie eine große Suchmaschine auf das 'Rund um AutoCAD' Forum losgelassen werden kann:

Google: site:cad.de Forum54 PDF hochkant abgeschnitten

(je nach Browser kann es sein das du die Suchanfrage doch noch mal manuell machen mußt / der Link nicht alles übernimmt)

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 11. Nov. 2014 16:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Da ich durch das Programm eine fertige Seiteneinrichtung erzeugen möchte, fand ich den Post eigentlich nicht wirklich am falschen Platz, entschuldigung falls doch.
Mit manuellen Ausdrucken von PDFs habe ich keine Probleme, anders gefragt:

Gibt es einen Befehl mit dem ich Quer-/Hochformat in den erweiterten Benutzereigenschaften umstellen kann?

mfg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 11. Nov. 2014 16:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Antwort: Nein

Und zum anderen: Ich habe darauf nur hingewiesen für den Fall das du im Lispforum nach Lösungen suchst,
bei der "PDF abgeschnitten" Sache man aber generell eher im RuA-Forum glücklich wird (und Antworten findet).

Deine Aussage über "manuelle Ausgabe" passt aber irgendwie nicht, denn das sollte kein Unterschied sein!
Allerdings sehe ich mich da nicht im Stande dir zu helfen, ich kann nur anmerken das die Aussage sich für mich
"falsch" anhört.

Viel Glück   

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 11. Nov. 2014 16:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Hat denn niemand meinen Kommentar gelesen 

Plotte einfach auf ein Blattformat wo ALLES draufpasst und schneid den Rest nachträglich ab.
Geht insgesamt schneller und ordentlicher als sich mit exakten Blattformaten rumzuschlagen.
Ich mach das schon Jahre so und bin absolut glücklich damit.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 11. Nov. 2014 16:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Doch, das haben sicher einige und viele Arbeiten so auch seit Jahrzehnten und machen diese Arbeitsweise auch im Forum deutlich,
aber was ändert das an der Frage des ThreadErstellers ?

Ich habe zudem generell jedes Blattformat, bei A4/A3, einmal als Hochformat und einmal als Querformat - Acad wird immer Querformat gedruckt.
Auf diese Weise rafft dann sogar der AdobeReader wie ich die Pläne gerne angezeigt bekomme.
(das Thema PDF-Reader ist ja nämlich noch mal ein ganz eigenes, wie Ausrichtung und Schriftenglättung etcpp.  , da variieren diese ja oftmals)

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 11. Nov. 2014 16:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Natürlich habe ich dich nicht überlesen und danke für den Vorschlag.
Nur wenns irgendwie geht würde ich das gerne ohne ein weiteres Progamm lösen.
mfg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

WIN 10
ACAD 2017

erstellt am: 11. Nov. 2014 17:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Hmm... ohne weiteres Programm.
Da weis ich auch nicht weiter.
Wie gesagt, ich habs vor einigen Jahren schon aufgegeben.
Sag Bescheid wenn du das gelöst bekommst, dann trink ich ein Bier auf dich.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 27. Nov. 2014 10:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
der letzte Post ist schon etwas her, aber ich denke ich bin kurz vorm Ziel^^
Mein Programm berechnet das richtige Papierformat und es wird ein passendes Setting angelegt.
Der Ausdruck erfolgt dann ohne Rand!
Es gibt nur ein Problem:
In der Registry sind die ganzen Standardpapierformate gespeichert die jeder Plotter drucken kann (A1, A2, ...)
Wenn das ermittelte Papierformat sich einem dieser Standardformate annäherd, wird das
Standartformat gewählt. Also kann es passieren, dass der Plan abgeschnitten wird.

Es gibt ein Verhalten, dass diesen Papierformatwechsel steuert

Zitat:

Autodesk.AutoCAD.PlottingServices.MatchingPolicy
MatchDisabled = 1  Media matching is disabled. 
MatchEnabled = 2  Media matching is enabled. 
MatchEnabledCustom = 3  Media matching is enabled. If no matching media is found, a custom size is created and saved to disk. 
MatchEnabledTemporaryCustom = 4  Media matching is enabled. If no matching media is found, a custom size is created
and saved in a temporary PC3/PMP file, which is deleted when the validated PlotInfo object is destroyed. 

man könnte dieses Verhalten mit .net steuern.
Allerdings sind meine Kenntnisse in .net etwas eingerostet und eine Lösung in lisp wäre mir lieber.
Kennt jemand eine Möglichkeit wie man über Lisp diese Einstellung ändern kann?
mfg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 27. Nov. 2014 15:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Es gibt ja eine Möglichkeit, in die Registry zu schreiben - (vl-registry-write), wenn ich mich recht erinnere - also die gewünschten Werte - vorübergehend - dort eintragen?

------------------
Schöne Grüße
Ernst

www.geopaint.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

matthias312
Mitglied



Sehen Sie sich das Profil von matthias312 an!   Senden Sie eine Private Message an matthias312  Schreiben Sie einen Gästebucheintrag für matthias312

Beiträge: 14
Registriert: 27.08.2014

ACAD2015, ACAD2012

erstellt am: 27. Nov. 2014 15:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Also du meinst, dass ich das benötigte Papierformat in die Registry schreiben kann, damit der aktuelle Drucker das Format als "Systemformat" akzeptiert?
Habe mir schon mal einen Teil der voreingestellten Papierformate angeschaut. Wie kann man denn solche Keys schreiben?

Mit dem Adobe Acrobat Pro kann man über den "Adobe PDF" Drucker Papierformate in die Registry schreiben.
Die müsste ich exportieren und bei Bedarf wieder importieren? Diese Methode wäre ziemlich aufwendig.

Desweiteren stellt sich die Frage ob man dafür Admin-Rechte benötigt, welche die Benutzer meines Programms nicht haben werden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tunnelbauer
Ehrenmitglied V.I.P. h.c.
Bauingenieur



Sehen Sie sich das Profil von tunnelbauer an!   Senden Sie eine Private Message an tunnelbauer  Schreiben Sie einen Gästebucheintrag für tunnelbauer

Beiträge: 7085
Registriert: 13.01.2004

ich hab eh keine Probleme damit...

erstellt am: 27. Nov. 2014 16:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

Ich klinke mich mal kurz ein, da dieses Thema bei uns auch aktuell war.

Seit heute in der Früh habe ich mein Programm fertig, welches mir das Erstellen beliebiger PDFs mit ohne Rand erlaubt.
Zur Info: Ich werde den benötigten Code auch noch auf meiner Homepage freigeben (kann aber leider noch ein klein wenig dauern, da die Arbeit vorgeht und ich den Code vorher auch noch testen will...)

Aber (war ja klar dass das kommt...   :

1. ich habe es mit PDF Creator gelöst (ist aber denke ich kein Problem)
2. man braucht GhostScript (so wie beim PDF Cropper auch)
Nachtrag: 3. Die Seiteneinstellung wird auch nicht gespeichert, da das bei einer "Ein-Knopf-Lösung-nur-in-Haus-Gebrauch" nicht erforderlich ist

Generell:
Das User-Format in der Registry ist HEX-Verschlüsselt - wer den Code knackt: Glückwunsch - das wäre der einfachste Weg...
Zu finden in: LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Print\Forms


------------------
Grüsse
Thomas

www.autocadbuch.de

[Diese Nachricht wurde von tunnelbauer am 27. Nov. 2014 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tunnelbauer
Ehrenmitglied V.I.P. h.c.
Bauingenieur



Sehen Sie sich das Profil von tunnelbauer an!   Senden Sie eine Private Message an tunnelbauer  Schreiben Sie einen Gästebucheintrag für tunnelbauer

Beiträge: 7085
Registriert: 13.01.2004

ich hab eh keine Probleme damit...

erstellt am: 15. Dez. 2014 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für matthias312 10 Unities + Antwort hilfreich

So - nach etwas längerer Zeit ist das Programm nun online.

Als Einschränkungen seien erwähnt:
Layer im PDF gehen nach ghostscript verloren
Dateien mit großen (Luft)Bildern können zu "Problemen" führen (diese lassen sich aber durch das temporäre Setzen der Systemvariable image_yes auf "1" großteils entschärfen - sollte die PDF-Erstellung trotzdem länger dauern als die Wartezeit ist, kann man nach Aufruf des SHELL-Befehls den crop-Befehl nachschicken in dem man diesen mit !pdf_command aufruft).

Zur Seite selber - die ist gestern auf die Schnelle entstanden - wird aber in der Weihnachtspause noch aufgehübscht - ebenso kommen dann die beschriebenen Erweiterungen.

------------------
Grüsse
Thomas

www.autocadbuch.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz